Bug 13830 - NX не стартует корректно
: NX не стартует корректно
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/freenx)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-29 22:52 by
Modified: 2008-03-18 08:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-29 22:52:45
Проблема общая из-за неверных путей поиска необходимого.

а)Не находит шрифты
Из лога:
Error: Aborting session with 'Could not open default font 'fixed''.
Ищет, по всей видимости, в /usr/X11R6/lib/fonts и не находит

б)Не находит SecurityPolicy
ИЗ лога:
error opening security policy file /usr/X11R6/lib/X11/xserver/SecurityPolicy

в)Не находит файлы связанные с XKB
например эти
/usr/X11R6/lib/X11/xkb/
/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
------- Comment #1 From 2007-12-29 22:56:54 -------
из-за п.3 не работает переключения раскладок
------- Comment #2 From 2007-12-30 13:34:00 -------
Переключение раскладок не работает потому что раскладка не устанавливается.
Надо вызвать в нужном месте
/etc/X11/xinit/fixkeyboard
------- Comment #3 From 2008-01-04 18:06:43 -------
(In reply to comment #0)
> б)Не находит SecurityPolicy
> ИЗ лога:
> error opening security policy file /usr/X11R6/lib/X11/xserver/SecurityPolicy

Это не проблема в freenx. Это в самом nx. Если быть точным, то в nxagent. Fixed
in  nx-3.1.0-alt4.src.rpm
------- Comment #4 From 2008-01-08 15:59:44 -------
(In reply to comment #0)
> Проблема общая из-за неверных путей поиска необходимого.
> 
> а)Не находит шрифты
> Из лога:
> Error: Aborting session with 'Could not open default font 'fixed''.
> Ищет, по всей видимости, в /usr/X11R6/lib/fonts и не находит

fixed in freenx-0.7.2-alt4.r430.src.rpm
------- Comment #5 From 2008-02-27 11:54:26 -------
Ну так и меть как FIXED :)  Борис, проверяли?
------- Comment #6 From 2008-03-18 08:57:53 -------
да. указанные мною проблемы решены